%define pango_version 1.1.3
%define gtk2_version 2.3.0
%define libgnomeui_version 2.7.92
%define gnome_vfs2_version 2.7.91
%define librsvg2_version 2.0.1
%define bonobo_activation_version 1.0.3
%define libxml2_version 2.4.20
%define libart_lgpl_version 2.3.8
%define gail_version 0.17-2
%define desktop_file_utils_version 0.7

%define po_package eel-2.0

Name:		eel2
Summary:        Eazel Extensions Library.
Version: 	2.8.1
Release:	2
License: 	GPL
Group: System Environment/Libraries
Source: 	eel-%{version}.tar.bz2
URL: 		http://www.gnome.org/projects/nautilus/
BuildRoot:	/var/tmp/%{name}-%{version}-root

Requires: pango >= %{pango_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: librsvg2 >= %{librsvg2_version}
Requires: bonobo-activation >= %{bonobo_activation_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: pango

Patch1:         eel-2.8.1-null-mime.patch

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: librsvg2-devel >= %{librsvg2_version}
Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gail-devel >= %{gail_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q -n eel-%{version}

%patch1 -p0 -b .null-mime

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{_includedir}/eel-2

%changelog
* Fri Oct 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-2
- Fix crash on extensionless files (#135858)

* Mon Oct 11 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1

* Mon Sep 13 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.4-1
- update to 2.7.4

* Fri Aug  6 2004 Ray Strode <rstrode@redhat.com> 2.7.3-1
- update to 2.7.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Mon Mar 15 2004 Alex Larsson <alexl@redhat.com> 2.5.91-1
- update to 2.5.91

* Mon Mar  8 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 2.5.8-1
- update to 2.5.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 2.5.7-1
- update to 2.5.7

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-1
- update to 2.5.5

* Mon Sep  8 2003 Jonathan Blandford <jrb@redhat.com> 2.4.0-1
- Update to 2.4.0

* Tue Sep  2 2003 Alexander Larsson <alexl@redhat.com> 2.3.90-1
- Update to 2.3.90

* Tue Aug 26 2003 Alexander Larsson <alexl@redhat.com> 2.3.9-1
- update

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 2.3.8-1
- update to gnome 2.3

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 2.2.4-4
- Fix libtool

* Tue Jul  8 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-3.E
- Rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-2
- Add performance patch

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-1
- Update to 2.2.4

* Mon Mar 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-1
- update to 2.2.3

* Fri Feb 14 2003 Jeremy Katz <katzj@redhat.com> 2.2.1-3
- fix buildrequires

* Tue Feb 11 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-2
- pass LIBTOOL=/usr/bin/libtool to make
- remove static libs

* Tue Feb 11 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-1
- 2.2.1
- add smp_mflags

* Fri Jan 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.2-1
- Update to 2.2.0.2, updated translations

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-1
- Update to 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com>
- 2.1.91
- Update URL

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 2.1.6

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com>
- 2.1.5

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- require newer pango

* Thu Aug 29 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.6. No actual changes, just to keep versions in sync w/ nautilus

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.5, only translation changes

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 2.0.4

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- remove .so link from non-devel package

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.1.17

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild with fixed rpm in build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 1.1.16.90 cvs snap to fix libpng issue

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.15

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.12

* Mon Apr 22 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.1.11

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- getting really sleepy, fixed the wrong dumb typo

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10
- mumble, dumb typo in gail version

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide after fixing libart issue that broke build

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Eel version 2 package created

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in 
  eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing
 
* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com> 
- Removed docdir and cleaned up specfile a bit. 

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com> 
- Add to Red Hat build system 

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com> 
- created this thing
